Webkul\PrestashopConnectorBundle\Entity\Credentials:
    type: entity
    table: wk_prestashop_credentials_mapping
    repositoryClass: Webkul\PrestashopConnectorBundle\Repository\CredentialsRepository
    indexes:
        wk_prestashop_credentials_mapping:
            columns: [ hostName, webServiceKey, defaultSet, active]
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        hostName:
            type: string
            length: 255
            unique: true
        webServiceKey:
            type: string
            length: 255
        resources:
            type: text
            nullable: true
        defaultSet:
            type: boolean
            options:
                default: 0
        active:
            type: boolean
            options:
                default: 1